Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-desktop
Navigation:
Lists: gentoo-desktop: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-desktop@g.o
From: Tiago Marques <tiagomnm@...>
Subject: Re: kde-base/kdebase-kioslaves-3.5.10-r1 and hal USE flag
Date: Thu, 14 Jul 2011 16:21:20 +0100
Install this and all will be ok:<div><br></div><div>kde-base/kdebase-kioslaves-3.5.10-r1</div><div>sys-apps/dbus-1.2.24</div><div>sys-apps/hal-0.5.13-r2</div><div><br></div><div>Hal above this version should be masked for kdebase-kioslaves-3.5.10.</div>

<div><br></div><div>Best regards,</div><div>Tiago<br><br><div class="gmail_quote">On Wed, Jul 13, 2011 at 11:29 PM, Brent Busby <span dir="ltr">&lt;<a href="mailto:brent@...">brent@...</a>&gt;</span> wrote:<br>

<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">On Tue, 12 Jul 2011, Alex Schuster wrote:<br>
<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
Yes, there are still people using KDE 3.5, from the kde-sunset overlay.<br>
Auto-mounting of external media like CDs does not work, I assume it&#39;s<br>
because I have no HAL support for kioslaves:<br>
<br>
leela ~ # USE=hal emerge -pv kde-base/kdebase-kioslaves:3.5<br>
<br>
These are the packages that would be merged, in order:<br>
<br>
Calculating dependencies... done!<br>
[ebuild   R    ] kde-base/kdebase-kioslaves-3.<u></u>5.10-r1  USE=&quot;ldap samba -<br>
debug (-hal) -kdehiddenvisibility -openexr&quot; 0 kB [1]<br>
<br>
Total: 1 package (1 reinstall), Size of downloads: 0 kB<br>
Portage tree and overlays:<br>
[0] /var/portage/tree<br>
[1] /var/portage/layman/kde-sunset<br>
<br>
The (-hal) probably means that this USE flag is disabled by profile. Is<br>
there a way to enable it? Or does one have to mount CDs manually with KDE<br>
3.5 now?<br>
<br>
I tried to put -hal in package.use.mask, and hal in package.use.force<br>
(whatever thsi is). And in package.use of course, but this does not help.<br>
When I look into the ebuild, it seems that sys-apps/dbus has to be compiled<br>
with qt3, but there is no such USE flag for this package. Maybe that&#39;s why<br>
hal is masked in the first place.<br>
<br>
So, is there anything I can do about it?<br>
</blockquote>
<br>
Here&#39;s what I&#39;ve had to do...<br>
<br>
In /etc/portage/package.use.mask:<br>
<br>
kde-base/kdebase-kioslaves -hal<br>
app-cdr/k3b -hal<br>
<br>
In /etc/portage/package.keywords (because newer masked ebuilds of these two packages solve some build issues):<br>
<br>
kde-base/kdelibs:3.5 ~amd64<br>
kde-base/kcontrol:3.5 ~amd64<br>
<br>
In /etc/portage/package.unmask:<br>
<br>
kde-base/kdelibs:3.5<br>
kde-base/kcontrol:3.5<br>
<br>
Hope this helps...<br><font color="#888888">
<br>
-- <br>
+ Brent A. Busby         +<br>
+ Sr. UNIX Systems Admin +      Vote for Cthulhu.<br>
+ University of Chicago  +<br>
+ James Franck Institute +      Why settle for the lesser evil?<br>
<br>
</font></blockquote></div><br></div>
Replies:
Re: kde-base/kdebase-kioslaves-3.5.10-r1 and hal USE flag
-- Alex Schuster
References:
kde-base/kdebase-kioslaves-3.5.10-r1 and hal USE flag
-- Alex Schuster
Re: kde-base/kdebase-kioslaves-3.5.10-r1 and hal USE flag
-- Brent Busby
Navigation:
Lists: gentoo-desktop: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: kde-base/kdebase-kioslaves-3.5.10-r1 and hal USE flag
Next by thread:
Re: kde-base/kdebase-kioslaves-3.5.10-r1 and hal USE flag
Previous by date:
Re: kde-base/kdebase-kioslaves-3.5.10-r1 and hal USE flag
Next by date:
KDE 4.7.0 unmask file


Updated Jun 28, 2012

Summary: Archive of the gentoo-desktop mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.